--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 13/364
-- Note that SPAA does not provide a meter manufacturer org id and you need to add this into 
-- the B-Smart Cross Reference table for the Manufacturer Code once the org id is made known to you by the industry.
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              04-OCT-13   M Brookes         10.0.006
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply SPAA change 13/364
PROMPT
PROMPT Version 10.0.006
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT Apply SPAA Change 13/364
--
PROMPT
PROMPT Add FMG to MANUFACTURER table 
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

EXECUTE IMMEDIATE  'INSERT INTO MANUFACTURER (MANUFACTURER_CODE,MANUFACTURER_DESCRIPTION,CREATED_USER_ID,
                                                CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                      VALUES(''FMG'',''Flow Meter Group'',''MDD_13_364'',''BSMART'',SYSDATE)';

EXCEPTION
  WHEN is_snapshot OR invalid_column OR row_exists THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
